Get Commodity Metric Values
curl --request GET \
--url https://data-api.orbbit.co/v1/commodities/metric-values \
--header 'Authorization: Bearer <token>'import requests
url = "https://data-api.orbbit.co/v1/commodities/metric-values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data-api.orbbit.co/v1/commodities/metric-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"metric_name": "cheese_block_cheddar_40_lb_us_chicago_wholesale_daily_close_price_usd_per_lb",
"unit": "usd_per_lb",
"from": "2026-08-19",
"to": "2026-08-21",
"points": [
{
"date": "2026-08-19",
"value": 1.575
},
{
"date": "2026-08-20",
"value": 1.5325
},
{
"date": "2026-08-21",
"value": 1.5275
}
]
}
]
}{
"error": {
"type": "invalid_request",
"message": "Unknown metrics: cheddar_close"
}
}{
"error": {
"type": "unauthorized",
"message": "Missing or malformed Authorization: Bearer header"
}
}{
"error": {
"type": "insufficient_balance",
"message": "Insufficient balance"
}
}{
"error": {
"type": "forbidden",
"message": "This key is not scoped to get-commodity-prices"
}
}Commodities
Get Commodity Metric Values
Get the values over time for the metrics you choose..
Requires the get-commodity-prices scope.
GET
/
v1
/
commodities
/
metric-values
Get Commodity Metric Values
curl --request GET \
--url https://data-api.orbbit.co/v1/commodities/metric-values \
--header 'Authorization: Bearer <token>'import requests
url = "https://data-api.orbbit.co/v1/commodities/metric-values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data-api.orbbit.co/v1/commodities/metric-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"metric_name": "cheese_block_cheddar_40_lb_us_chicago_wholesale_daily_close_price_usd_per_lb",
"unit": "usd_per_lb",
"from": "2026-08-19",
"to": "2026-08-21",
"points": [
{
"date": "2026-08-19",
"value": 1.575
},
{
"date": "2026-08-20",
"value": 1.5325
},
{
"date": "2026-08-21",
"value": 1.5275
}
]
}
]
}{
"error": {
"type": "invalid_request",
"message": "Unknown metrics: cheddar_close"
}
}{
"error": {
"type": "unauthorized",
"message": "Missing or malformed Authorization: Bearer header"
}
}{
"error": {
"type": "insufficient_balance",
"message": "Insufficient balance"
}
}{
"error": {
"type": "forbidden",
"message": "This key is not scoped to get-commodity-prices"
}
}Authorizations
Your API key, which starts with orbbit_data_.
Query Parameters
YYYY-MM-DD, inclusive. Absent means up to each metric's newest value; without from, the default range is counted back from this date
YYYY-MM-DD, inclusive. Absent means each metric starts 1 year (daily, weekly, biweekly), 5 years (monthly) or 10 years (annual) before to, or before its newest value; pass an early date such as 1990-01-01 for full history
Comma-separated metric names, at most 100
Response
Show child attributes
Show child attributes